31

The driver manager is hanging on the "Collecting Information about your system" phase it's not progressing past this point.

Is any one else experiencing this, if so are there any known fixes?

26

I found a workaround on the BinaryDriverHowto page, under the Installation without X header.

You can run sudo ubuntu-drivers devices to see the detected drivers, and use apt to install them yourself. Here's the example as listed on that page:

sudo ubuntu-drivers devices
== /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0 ==

vendor   : NVIDIA Corporation
modalias : pci:v000010DEd00000DDAsv000017AAsd000021D1bc03sc00i00
model    : GF106GLM [Quadro 2000M]
driver   : xserver-xorg-video-nouveau - distro free builtin
driver   : nvidia-304-updates - distro non-free
driver   : nvidia-304 - distro non-free
driver   : nvidia-331 - distro non-free recommended
driver   : nvidia-331-updates - distro non-free
sudo apt-get install nvidia-331
  • Awesome ty mate I was able to get everything setup using this! – Afflicted Apr 24 '16 at 1:32
  • 2
    I did this, but the sudo ubuntu-drivers devices didn't show anything. Does that mean I'm screwed? I'm trying to install a driver to get my wifi to work, apt-get probably won't do me any good anyway. – user483903 Jun 3 '16 at 23:35
  • @ColeTrumbo This probably means that there are no additional 3rdparty drivers available for your setup – jja Jun 7 '16 at 12:25
7

To answer your initial question ("Is any one else experiencing this"), the answer is Yes - me.

Still searching for a fix myself (your second question), I will edit my answer if I ever find one.

EDIT: I finally found a bug report about this issue.

EDIT: A comment within provides with a quick fix/workaround:

sudo update-apt-xapian-index

You may also need to install apt-xapian-index package since that apt-xapian-index vanished from the image went unnoticed for 16.04. Reportedly, the package has been added back for yakkety.

Unfortunately, despite of its age (4 months) and the fact that a clue was found, nobody is assigned to its resolution. The bug has been fixed.

  • 1
    (comment to notify the author of this question that I've edited my answer) – pubalapoub May 6 '16 at 15:12
  • Good to hear that it's been fixed, I've since abandoned using Kubuntu due to a variety of issues and have moved to Ubuntu, glad we had some good people helping out here! – Afflicted Feb 11 '17 at 13:30
3

Muon package manager (sudo apt-get install muon) has the drivers listed and available for installation. Once you get the driver version (sudo ubuntu-drivers devices), you can search for it and notice the binary driver with this version number.

0

The initial answer I received worked for my laptop, but not for my desktop. My laptop uses Nvidia and my desktop uses AMD. If you're using an AMD GPU, please read the following.

At this point in time, fglrx is not supported and I don't know if it will come back in the future. What this means for people using AMD GPUs is that we'll be using the open source drivers.

Run the following command in the terminal to list your PCI devices:

lspci 

This will spit out many lines among which you should see one that is similar to this one:

7:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Tahiti XT [Radeon HD 7970/8970 OEM / R9 280X]

The purpose of that is to find out your GPU model, which is something you should know. The next command spits out a ton of information and is something that you should never forget. If you look through it, you'll see why.

man radeon

Go all the way to the bottom of your terminal and you will see something like the following:

X Version 11            xf86-video-ati 7.7.0 

This is the open source AMD driver, and it's active.

The overall point of this specific answer is to inform people that by default you should have the open source driver installed and activated on your system for your AMD GPU. In regards to the other drivers the original answer to this question is still valid.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.